<?php
 class Automobil1 extends Doctrine_Record {
        // Preklopljena metoda za definisanje tabele
    public function setTableDefinition() {
        // Setovanje imena tabele u relacionoj bazi
        $this->setTableName('automobil');
        // Setovanje kolona sa nazivom, tipom i duzinom
        $this->hasColumn('vozac_id', 'integer', 20);
        $this->hasColumn('reg_broj', 'string', 20);
    }
    // Inicijalizacija tabele
    public function setUp() {
        // Svakom slogu se dodaje polje za vreme modifikacije
        $this->actAs('Timestampable');
        // definisanje relacije prema tabeli Pitanje
        $this->hasOne('Vozac1', array('local' => 'vozac_id', 'foreign' => 'id'));
    }
}
?>
